libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::QueryField Class Reference

Parent class for any query's field. More...

Inheritance diagram for Gnome::Gda::QueryField:

[legend]
List of all members.

## Public Member Functions

Glib::RefPtr<QueryField> | copy () const
| This is a copy constructor.
Glib::ustring | get_alias () const
| Get qfield's alias.
Glib::RefPtr<const DictType> | get_dict_type () const
| Get the Gda::DictType represented by the qfield object: for a function it returns the return type, for a value, it returns its type, etc.
Glib::RefPtr<DictType> | get_dict_type ()
| Get the Gda::DictType represented by the qfield object: for a function it returns the return type, for a value, it returns its type, etc.
bool | get_internal () const

Returns:
  `true` if field is internal.

Glib::SListHandle< Glib::RefPtr< const Parameter > > | get_parameters () const
| Get a list of all the parameters needed to qfield to be rendered as a valid statement.
Glib::SListHandle< Glib::RefPtr< Parameter > > | get_parameters ()
| Get a list of all the parameters needed to qfield to be rendered as a valid statement.
bool | get_visible () const

Returns:
  `true` if field is visible.

const GdaQueryField* | gobj () const
| Provides access to the underlying C GObject.
GdaQueryField* | gobj ()
| Provides access to the underlying C GObject.
GdaQueryField* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | is_equal (const Glib::RefPtr<const QueryField>& qfield2) const
| Compares the qfield1 and qfield2.
bool | is_list () const
| Tells if qfield can potentially represent a list of values.
void | set_alias (const Glib::ustring& alias)
| Sets qfield's alias.
void | set_internal (bool internal=true)
| Sets weather qfield is internal or not.
void | set_visible (bool visible=true)
| Sets the visibility of qfield.
virtual | ~QueryField ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::QueryField> | wrap (GdaQueryField* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Parent class for any query's field.

## Constructor & Destructor Documentation

virtual Gnome::Gda::QueryField::~QueryField | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::RefPtr<QueryField> Gnome::Gda::QueryField::copy | ( |  | ) | const

This is a copy constructor.

Returns:
  The new object.

Glib::ustring Gnome::Gda::QueryField::get_alias | ( |  | ) | const

Get qfield's alias.

Returns:
  The alias.

Glib::RefPtr<const DictType> Gnome::Gda::QueryField::get_dict_type | ( |  | ) | const

Get the Gda::DictType represented by the qfield object: for a function it returns the return type, for a value, it returns its type, etc.

Returns:
  The data type, or `0` if qfield does not have a data type.

Glib::RefPtr<DictType> Gnome::Gda::QueryField::get_dict_type | ( |  | ) |

Get the Gda::DictType represented by the qfield object: for a function it returns the return type, for a value, it returns its type, etc.

Returns:
  The data type, or `0` if qfield does not have a data type.

bool Gnome::Gda::QueryField::get_internal | ( |  | ) | const

Returns:
  `true` if field is internal.

Glib::SListHandle<Glib::RefPtr<const Parameter> > Gnome::Gda::QueryField::get_parameters | ( |  | ) | const

Get a list of all the parameters needed to qfield to be rendered as a valid statement.

Returns:
  A new list of parameters for qfield.

Glib::SListHandle<Glib::RefPtr<Parameter> > Gnome::Gda::QueryField::get_parameters | ( |  | ) |

Get a list of all the parameters needed to qfield to be rendered as a valid statement.

Returns:
  A new list of parameters for qfield.

bool Gnome::Gda::QueryField::get_visible | ( |  | ) | const

Returns:
  `true` if field is visible.

const GdaQueryField* Gnome::Gda::QueryField::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::QueryObject.

Reimplemented in Gnome::Gda::QueryFieldAgg, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, and Gnome::Gda::QueryFieldValue.

GdaQueryField* Gnome::Gda::QueryField::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::QueryObject.

Reimplemented in Gnome::Gda::QueryFieldAgg, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, and Gnome::Gda::QueryFieldValue.

GdaQueryField* Gnome::Gda::QueryField::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::QueryObject.

Reimplemented in Gnome::Gda::QueryFieldAgg, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, and Gnome::Gda::QueryFieldValue.

bool Gnome::Gda::QueryField::is_equal | ( | const Glib::RefPtr<const QueryField>& | qfield2 | ) | const

Compares the qfield1 and qfield2.

The name and aliases of the two fields are not compared, only the contents of the fields are.

Parameters:

  | qfield2 | A Gda::QueryField object.

Returns:
  `true` if they are equal and `false` otherwise.

bool Gnome::Gda::QueryField::is_list | ( |  | ) | const

Tells if qfield can potentially represent a list of values.

Returns:
  `true` if field can be a list of values.

void Gnome::Gda::QueryField::set_alias | ( | const Glib::ustring & | alias | ) |

Sets qfield's alias.

Parameters:

  | alias | The alias to set qfield to.

void Gnome::Gda::QueryField::set_internal | ( | bool | internal = `true` | ) |

Sets weather qfield is internal or not.

Internal fields in a query are fields added or changed by libgnomedb itself, such fields may or may not be visible.

void Gnome::Gda::QueryField::set_visible | ( | bool | visible = `true` | ) |

Sets the visibility of qfield.

A visible field will appear in the query's corresponding (virtual) entity, whereas a non visible one will be hidden (and possibly not taking part in the query).

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::QueryField> wrap | ( | GdaQueryField * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- queryfield.h